ListCodeReviewJobTasks
Returns a paginated list of task summaries for the specified code review job, optionally filtered by step name or category.
Request Syntax
POST /ListCodeReviewJobTasks HTTP/1.1
Content-type: application/json
{
"agentSpaceId": "string",
"categoryName": "string",
"codeReviewJobId": "string",
"maxResults": number,
"nextToken": "string",
"stepName": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- agentSpaceId
-
The unique identifier of the agent space.
Type: String
Required: Yes
- categoryName
-
Filter tasks by category name.
Type: String
Required: No
- codeReviewJobId
-
The unique identifier of the code review job to list tasks for.
Type: String
Required: No
- maxResults
-
The maximum number of results to return in a single call.
Type: Integer
Required: No
- nextToken
-
A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.
Type: String
Required: No
- stepName
-
Filter tasks by step name.
Type: String
Valid Values:
PREFLIGHT | STATIC_ANALYSIS | PENTEST | FINALIZINGRequired: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"codeReviewJobTaskSummaries": [
{
"agentSpaceId": "string",
"codeReviewId": "string",
"codeReviewJobId": "string",
"createdAt": "string",
"executionStatus": "string",
"riskType": "string",
"taskId": "string",
"title": "string",
"updatedAt": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- codeReviewJobTaskSummaries
-
The list of code review job task summaries.
Type: Array of CodeReviewJobTaskSummary objects
- nextToken
-
A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: